# Constants.Auton (YAGSL-Example API)
declaration: package: frc.robot, class: Constants, class: Auton

Package frc.robot

# Class Constants.Auton

java.lang.Object
frc.robot.Constants.Auton

Enclosing class:
  Constants

public static final class Constants.Auton extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PIDFConfig`
`angleAutoPID`
`static final double`
`MAX_ACCELERATION`
`static final PIDFConfig`
`TranslationPID`

## Constructor Summary

Constructors
Constructor
Description
`Auton()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TranslationPID

public static final PIDFConfig TranslationPID

### angleAutoPID

public static final PIDFConfig angleAutoPID

### MAX_ACCELERATION

public static final double MAX_ACCELERATION

See Also:
  - Constant Field Values

## Constructor Details

### Auton

public Auton()